> ## Documentation Index
> Fetch the complete documentation index at: https://gologin.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate workspace invitation link

> Creates a single-use invitation link for the workspace. The invitation includes a predefined role, expiration time (TTL), and can be used only once. The link may be used by an existing user or by a new user during registration.



## OpenAPI

````yaml https://docs-download.gologin.com/openapi.json post /workspaces/{wid}/members/invite-link
openapi: 3.0.0
info:
  title: GoLogin
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.gologin.com
security: []
tags:
  - name: Profile
    description: >-
      Profile is a main entity of the application. It stores all the information
      that needs to be saved in browser to change your fingerprint.
  - name: Proxy
    description: >-
      Proxy in Gologin is a separate entity that belongs to a profile but also
      can be managed separately for convinience.
  - name: Share
    description: This feature allows you to give an access to your profiles to other users.
  - name: Workspace
    description: >-
      Workspace is a group of profiles and users that can manage those
      profiles.        This feature helps a lot with a team collaboration
      because you can granually control permissions for each user.
  - name: Tags
    description: Tags are a way to categorize profiles.
paths:
  /workspaces/{wid}/members/invite-link:
    post:
      tags:
        - Workspace
      summary: Generate workspace invitation link
      description: >-
        Creates a single-use invitation link for the workspace. The invitation
        includes a predefined role, expiration time (TTL), and can be used only
        once. The link may be used by an existing user or by a new user during
        registration.
      operationId: WorkspacesMembersController_createInviteLink
      parameters:
        - name: wid
          required: true
          in: path
          description: Workspace ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWorkspaceInviteLinkValidation'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    CreateWorkspaceInviteLinkValidation:
      type: object
      properties:
        limitedAccess:
          type: boolean
        role:
          type: string
          enum:
            - owner
            - admin
            - editor
            - guest
        folders:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceFolderRoleValidation'
      required:
        - limitedAccess
        - role
    WorkspaceFolderRoleValidation:
      type: object
      properties:
        name:
          type: string
        role:
          type: object
      required:
        - name
        - role
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````